Generate a playbook plan
curl --request POST \
--url https://api.example.com/v2/aether/playbook/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'import requests
url = "https://api.example.com/v2/aether/playbook/plan"
payload = { "prompt": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>'})
};
fetch('https://api.example.com/v2/aether/playbook/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "start",
"messageId": "<string>"
}
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Generate a playbook plan
Streams the planning agent’s response as Vercel AI SDK data-stream (SSE) events, ending with the structured plan result.
POST
/
v2
/
aether
/
playbook
/
plan
Generate a playbook plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
SSE frame describing the data: payload as a discriminated event union.
Speakeasy's SSE schema model expects each frame's top-level properties to
be SSE protocol fields (id, event, data, retry). The data field
here describes the JSON object inside each data: line — a discriminated
union of every event the aether wire emits. The wire format is unchanged
from Vercel AI SDK v6 (data: {"type": "...", ...}).
- StartEvent
- StartStepEvent
- FinishStepEvent
- FinishEvent
- TextStartEvent
- TextDeltaEvent
- TextEndEvent
- ReasoningStartEvent
- ReasoningDeltaEvent
- ReasoningEndEvent
- ToolInputStartEvent
- ToolInputDeltaEvent
- ToolInputAvailableEvent
- ToolOutputAvailableEvent
- DataCustomEvent
- DataTableEvent
- DataChartEvent
- DataSuggestionsEvent
- DataPlanResultEvent
- ErrorEvent
Show child attributes
Show child attributes
